ed% This function creates scalars, vectors, and matrices and performs some
% simple operations.

speed_1=1;                          % A simple scalar
speed_2=2;                          % A simple scalar

vel_vec_1=[1 2 3]                   % A row vector
vel_vec_2=[4; 5; 6]                 % A column vector

matrix_1=[1 2; 3 4; 5 6]            % A 3x2 (rows x columns) array

matrix_2=eye(3)                     % The identity matrix.

new_vec1=speed_1.*velocity_1        % Performs dot-multiplication
new_vec2=speed_2.*velocity_1        % Performs dot-multiplication

vel_mat1=vel_vec_1*matrix_1         % The inner dimensions must match [1 x 3]*[3 x 2]
% vel_mat2=vel_vec_2*matrix_1       % This will not compute though...

vel_mat2=new_vec2*matrix_2          % This returns the new_vec2 vector...
                                    % This is just multiplying by "one"